Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWarpScalar Class Reference

`#include <vtkWarpScalar.h>`

Inheritance diagram for vtkWarpScalar:

[legend]
Collaboration diagram for vtkWarpScalar:

[legend]
List of all members.

## Detailed Description

deform geometry with scalar data

Date:
  2003/01/09 19:21:05

Revision:
  1.39

vtkWarpScalar is a filter that modifies point coordinates by moving points along point normals by the scalar amount times the scale factor. Useful for creating carpet or x-y-z plots.

If normals are not present in data, the Normal instance variable will be used as the direction along which to warp the geometry. If normals are present but you would like to use the Normal instance variable, set the UseNormal boolean to true.

If XYPlane boolean is set true, then the z-value is considered to be a scalar value (still scaled by scale factor), and the displacement is along the z-axis. If scalars are also present, these are copied through and can be used to color the surface.

Note that the filter passes both its point data and cell data to its output, except for normals, since these are distorted by the warping.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Geveci, Berk (8%)
  - Law, Charles (8%)
  - Martin, Ken (6%)
  - Cedilnik, Andy (5%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkWarpScalar.cxx)`
  - .`h` (`/Graphics/vtkWarpScalar.h)`

Examples:
  vtkWarpScalar (Examples)

Tests:
  vtkWarpScalar (Tests)

Definition at line 69 of file vtkWarpScalar.h.

## Public Types
typedef vtkPointSetToPointSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetScaleFactor (float)
virtual float | GetScaleFactor ()
virtual void | SetUseNormal (int)
virtual int | GetUseNormal ()
virtual void | UseNormalOn ()
virtual void | UseNormalOff ()
virtual void | SetNormal (float, float, float)
virtual void | SetNormal (float[3])
virtual float * | GetNormal ()
virtual void | GetNormal (float data[3])
virtual void | SetXYPlane (int)
virtual int | GetXYPlane ()
virtual void | XYPlaneOn ()
virtual void | XYPlaneOff ()
## Static Public Methods
vtkWarpScalar * | New ()
int | IsTypeOf (const char *type)
vtkWarpScalar * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkWarpScalar ()
| ~vtkWarpScalar ()
void | Execute ()
float * | DataNormal (vtkIdType id, vtkDataArray *normals=NULL)
float * | InstanceNormal (vtkIdType id, vtkDataArray *normals=NULL)
float * | ZNormal (vtkIdType id, vtkDataArray *normals=NULL)
virtual void | SetInputScalarsSelection (const char *)
## Protected Attributes
float | ScaleFactor
int | UseNormal
float | Normal [3]
int | XYPlane
float *(vtkWarpScalar::* | PointNormal )(vtkIdType id, vtkDataArray *normals)
char * | InputScalarsSelection

## Member Typedef Documentation

typedef vtkPointSetToPointSetFilter vtkWarpScalar::Superclass

| Reimplemented from vtkPointSetToPointSetFilter. Definition at line 73 of file vtkWarpScalar.h.

## Constructor & Destructor Documentation

vtkWarpScalar::vtkWarpScalar | ( |  | ) | `[protected]`

vtkWarpScalar::~vtkWarpScalar | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWarpScalar* vtkWarpScalar::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkWarpScalar::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPointSetToPointSetFilter.

int vtkWarpScalar::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

virtual int vtkWarpScalar::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPointSetToPointSetFilter.

vtkWarpScalar* vtkWarpScalar::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPointSetToPointSetFilter.

void vtkWarpScalar::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPointSetToPointSetFilter.

virtual void vtkWarpScalar::SetScaleFactor | ( | float |  | ) | `[virtual]`

| Specify value to scale displacement.

virtual float vtkWarpScalar::GetScaleFactor | ( |  | ) | `[virtual]`

| Specify value to scale displacement.

virtual void vtkWarpScalar::SetUseNormal | ( | int |  | ) | `[virtual]`

| Turn on/off use of user specified normal. If on, data normals will be ignored and instance variable Normal will be used instead.

virtual int vtkWarpScalar::GetUseNormal | ( |  | ) | `[virtual]`

| Turn on/off use of user specified normal. If on, data normals will be ignored and instance variable Normal will be used instead.

virtual void vtkWarpScalar::UseNormalOn | ( |  | ) | `[virtual]`

| Turn on/off use of user specified normal. If on, data normals will be ignored and instance variable Normal will be used instead.

virtual void vtkWarpScalar::UseNormalOff | ( |  | ) | `[virtual]`

| Turn on/off use of user specified normal. If on, data normals will be ignored and instance variable Normal will be used instead.

virtual void vtkWarpScalar::SetNormal | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Normal (i.e., direction) along which to warp geometry. Only used if UseNormal boolean set to true or no normals available in data.

virtual void vtkWarpScalar::SetNormal | ( | float | [3] | ) | `[virtual]`

| Normal (i.e., direction) along which to warp geometry. Only used if UseNormal boolean set to true or no normals available in data.

virtual float* vtkWarpScalar::GetNormal | ( |  | ) | `[virtual]`

| Normal (i.e., direction) along which to warp geometry. Only used if UseNormal boolean set to true or no normals available in data.

virtual void vtkWarpScalar::GetNormal | ( | float | data[3] | ) | `[virtual]`

| Normal (i.e., direction) along which to warp geometry. Only used if UseNormal boolean set to true or no normals available in data.

virtual void vtkWarpScalar::SetXYPlane | ( | int |  | ) | `[virtual]`

| Turn on/off flag specifying that input data is x-y plane. If x-y plane, then the z value is used to warp the surface in the z-axis direction (times the scale factor) and scalars are used to color the surface.

virtual int vtkWarpScalar::GetXYPlane | ( |  | ) | `[virtual]`

| Turn on/off flag specifying that input data is x-y plane. If x-y plane, then the z value is used to warp the surface in the z-axis direction (times the scale factor) and scalars are used to color the surface.

virtual void vtkWarpScalar::XYPlaneOn | ( |  | ) | `[virtual]`

| Turn on/off flag specifying that input data is x-y plane. If x-y plane, then the z value is used to warp the surface in the z-axis direction (times the scale factor) and scalars are used to color the surface.

virtual void vtkWarpScalar::XYPlaneOff | ( |  | ) | `[virtual]`

| Turn on/off flag specifying that input data is x-y plane. If x-y plane, then the z value is used to warp the surface in the z-axis direction (times the scale factor) and scalars are used to color the surface.

void vtkWarpScalar::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

float* vtkWarpScalar::DataNormal | ( | vtkIdType | id,
|  | vtkDataArray * | normals = NULL
| ) | `[protected]`

float* vtkWarpScalar::InstanceNormal | ( | vtkIdType | id,
|  | vtkDataArray * | normals = NULL
| ) | `[protected]`

float* vtkWarpScalar::ZNormal | ( | vtkIdType | id,
|  | vtkDataArray * | normals = NULL
| ) | `[protected]`

virtual void vtkWarpScalar::SetInputScalarsSelection | ( | const char * |  | ) | `[protected, virtual]`

## Member Data Documentation

float vtkWarpScalar::ScaleFactor`[protected]`

| Definition at line 113 of file vtkWarpScalar.h.

int vtkWarpScalar::UseNormal`[protected]`

| Definition at line 114 of file vtkWarpScalar.h.

float vtkWarpScalar::Normal[3]`[protected]`

| Definition at line 115 of file vtkWarpScalar.h.

int vtkWarpScalar::XYPlane`[protected]`

| Definition at line 116 of file vtkWarpScalar.h.

float*(vtkWarpScalar::* vtkWarpScalar::PointNormal)(vtkIdType id, vtkDataArray *normals)`[protected]`

char* vtkWarpScalar::InputScalarsSelection`[protected]`

| Definition at line 125 of file vtkWarpScalar.h.

The documentation for this class was generated from the following file:

- Graphics/vtkWarpScalar.h